Subject: Re: linux-next: the selinux tree needs cleaning up

From: "Serge E. Hallyn" <[email-masked]>
Date: Fri, 20 Jun 2014 05:43:56 +0200

Quoting Stephen Rothwell ([email-masked]):
> Hi Paul,
> 
> On Thu, 19 Jun 2014 15:47:01 -0400 Paul Moore <[email-masked]> wrote:
> >
> > I want to avoid use a -rcX release as the foundation of any of my trees; the -
> > rc releases aren't as stable and it goes against what we're trying to do with 
> > the different Linux Security trees.  Unfortunately, based on what I've read 
> > above, this seems to be incompatible with linux-next.
> 
> The problem with basing your development for v3.17 on v3.15 is that
> you  do not take into account any of the changes done by others during
> v3.16-rc1 (or even your upstream tree) some of which may be core API
> changes.
> 
> > While I hate to split my development branch from the #next branch, it seems 
> 
> I don't want that either ...
> 
> > like that is the only way to accomplish both a reasonably current and stable 
> > development tree and get the patches into linux-next.  Unless you, or anyone 
> > else for that matter, has a different suggestion I'm going to go ahead and 
> > turn the current SELinux #next branch into a development branch and create a 
> > new #next branch that will be based on the most current -rc1, this new #next 
> > branch will be created new for each major release.  Not exactly what I was 
> > hoping for, but will that work?
> 
> Do you mean that your #next branch will just be a merge of -rc1 and
> your development branch?  That would not actually change anything
> (except that you would possibly take care of some conflicts for me).
> 
> At the core, what is in linux-next should just be exactly what will be
> merged by your upstream.  My real point here is that that is not what
> has happened recently.  The patches in your tree have been
> cherry-picked or rebased into James' or Serge's trees, not merged so we
> now have duplication.  This is what you need to solve with James and
> Serge.  linux-next is a side issue - I can cope with a lot.

The duplicates were the result of several misunderstandings and general
naivity all on my part.  I'm actually still not clear on what usually
happens with the selinux tree - it feeds into linux-next, then gets
'pull'ed by James into security-next for a pull request?  Do you usually
send a request to James when ready, he pulls, then he sends pull request
to Linus?  (Or am I wrong, and you usually send your own requests to
Linus?)

-serge